<?php
/**
 * ProductSystemStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * ProductSystemStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные системные статусы товаров: * 1 - отклонен * 2 - снят с продажи * 3 - удален
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductSystemStatusEnum
{
    
    /** Отклонен */
    public const REJECTED = 1;
    
    /** Снят с продажи */
    public const CLOSED = 2;
    
    /** Удален */
    public const DELETED = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::REJECTED,
            self::CLOSED,
            self::DELETED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::REJECTED => 'Отклонен',
            self::CLOSED => 'Снят с продажи',
            self::DELETED => 'Удален',
        ];
    }
}


